Skip to main content
GET
/
v1
/
10dlc
/
campaigns
List 10DLC campaigns
curl --request GET \
  --url https://api.zavu.dev/v1/10dlc/campaigns \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "brandId": "<string>",
      "name": "Order Notifications",
      "useCase": "ACCOUNT_NOTIFICATION",
      "description": "<string>",
      "sampleMessages": [
        "<string>"
      ],
      "subscriberOptIn": true,
      "subscriberOptOut": true,
      "subscriberHelp": true,
      "numberPooling": true,
      "directLending": true,
      "embeddedLink": true,
      "embeddedPhone": true,
      "affiliateMarketing": true,
      "ageGated": true,
      "status": "draft",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "subUseCases": [
        "<string>"
      ],
      "messageFlow": "<string>",
      "helpMessage": "<string>",
      "optInKeywords": [
        "<string>"
      ],
      "optOutKeywords": [
        "<string>"
      ],
      "dailyLimit": 123,
      "failureReason": "<string>",
      "registrationCostCents": 123,
      "monthlyFeeCents": 123,
      "submittedAt": "2023-11-07T05:31:56Z",
      "approvedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

brandId
string

Filter campaigns by brand ID.

limit
integer
default:50
Required range: x <= 100
cursor
string

Response

List of campaigns.

items
object[]
required
nextCursor
string | null